# $Revision: 1.7 $, $Date: 2010/09/09 14:51:33 $
%define		trac_ver	0.12
%define		plugin		trachours
Summary:	Trac plugin to track hours spent on tickets
Name:		trac-plugin-hours
Version:	0.5.2
Release:	2
License:	BSD-like
Group:		Applications/WWW
Source0:	http://trac-hacks.org/changeset/latest/trachoursplugin?old_path=/&filename=trachoursplugin&format=zip#/trachoursplugin.zip
# Source0-md5:	0c51648583b3c467ff91954591c08462
URL:		http://trac-hacks.org/wiki/TracHoursPlugin
BuildRequires:	python-devel
BuildRequires:	unzip
Requires:	python >= 1:2.4
Requires:	python-dateutil >= 1.3-4
Requires:	python-feedparser
Requires:	trac >= %{trac_ver}
Requires:	trac-plugin-componentdependency
Requires:	trac-plugin-sqlhelper
Requires:	trac-plugin-ticketsidebarprovider
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The goal of this plugin is to help keep trac of hours worked on
tickets.

%prep
%setup -qc
mv %{plugin}plugin/%{trac_ver}/* .

%build
%{__python} setup.py build
%{__python} setup.py egg_info

ver=$(awk '$1 == "Version:" {print $2}' *.egg-info/PKG-INFO)
test "$ver" = %{version}

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--single-version-externally-managed \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post
trac-enableplugin "trachours.*"

if [ "$1" = "1" ]; then
	%banner -e %{name} <<-'EOF'

	Add users to the group TICKET_ADD_HOURS so they can fill hours.
	You will need to run trac-admin <env> upgrade in order to create the correct database tables.
EOF
fi

%files
%defattr(644,root,root,755)
%doc README.txt
%{py_sitescriptdir}/%{plugin}
%{py_sitescriptdir}/*-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: trac-plugin-hours.spec,v $
Revision 1.7  2010/09/09 14:51:33  glen
- TracHoursPlugin requires ComponentDependencyPlugin, TicketSidebarProviderPlugin, TracSqlHelperScript
- rel 2

Revision 1.6  2010/09/01 18:44:17  glen
- up to 0.5.2, for trac 0.12

Revision 1.5  2010/07/08 08:48:41  arekm
- release 2

Revision 1.4  2010/05/16 14:14:39  sparky
- BR: unzip

Revision 1.3  2009/10/28 11:32:28  glen
- works more or less; rel 1

Revision 1.2  2009/10/28 11:28:21  glen
- require dateutil with packaged egg

Revision 1.1  2009/10/28 10:52:28  glen
- new
